/**
 * Created by jin.zhouhang on 17-8-21 下午6:42.
 *
 * 用于数据克隆 赋值 等
 */
export default {
  methods: {
    /** 对象克隆 */
    clone (obj) {
      const proto = Object.getPrototypeOf(obj)
      return Object.assign({}, Object.create(proto), obj)
    },
    /** 全兼容深度克隆 效率低 */
    cloneDep (obj) {
      return JSON.parse(JSON.stringify(obj))
    },
    /** 在ajax后赋值page的值 */
    clonePage (res) {
      return {
        current: res.current,
        size: res.size,
        total: res.total
      }
    }
  }
}
